#ifndef _ASM_GENERIC_BITOPS_H_
#define _ASM_GENERIC_BITOPS_H_

/*
 * For the benefit of those who are trying to port Linux to another
 * architecture, here are some C-language equivalents.  You should
 * recode these in the native assembly language, if at all possible.
 * 
 * C language equivalents written by Theodore Ts'o, 9/26/92
 */

#include <linux/bitops/non-atomic.h>
#include <linux/bitops/__ffs.h>
#include <linux/bitops/ffz.h>
#include <linux/bitops/fls.h>
#include <linux/bitops/fls64.h>
#include <linux/bitops/find.h>

#endif /* _ASM_GENERIC_BITOPS_H */
